Runtime

## org.eclipse.gmf.runtime.common.ui.action.actions.global
Class ClipboardState

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.util.EnumeratedType
          org.eclipse.gmf.runtime.common.ui.action.actions.global.ClipboardState

All Implemented Interfaces:
  java.io.Serializable

    public class ClipboardState

extends EnumeratedType

Enumeration class for the clipboard state.

See Also:
  Serialized Form

Field Summary
`static ClipboardState` `NORMAL` Clipboard state: NORMAL
`static ClipboardState` `OVERWRITE` Clipboard state: OVERWRITE
`static ClipboardState` `PRE_OVERWRITE` Clipboard state: PRE_OVERWRITE

Method Summary
`protected java.util.List` `getValues()` Retrieves the list of constants for this enumerated type.

Methods inherited from class org.eclipse.gmf.runtime.common.core.util.EnumeratedType
`equals, getName, getOrdinal, hashCode, readResolve, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NORMAL

    public static final ClipboardState NORMAL

  Clipboard state: NORMAL

### PRE_OVERWRITE

    public static final ClipboardState PRE_OVERWRITE

  Clipboard state: PRE_OVERWRITE

### OVERWRITE

    public static final ClipboardState OVERWRITE

  Clipboard state: OVERWRITE

Method Detail

### getValues

    protected java.util.List getValues()

  Description copied from class: `EnumeratedType`
  Retrieves the list of constants for this enumerated type.

  Concrete subclasses should define a private static array of values and a(n) (final) implementation of this method as follows:

  `private static final Subclass[] VALUES = { ... }; protected final List getValues() { return Collections.unmodifiableList(Arrays.asList(VALUES)); }`

  Specified by:
    `getValues` in class `EnumeratedType`
  Returns:
    The list of constants for this enumerated type.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.